#include "ecdb.h"

Ecdb_Project *
ecdb_project_new(void)
{
	Ecdb_Project *proj;

	proj = calloc(1, sizeof(Ecdb_Project));
	proj->files = ecore_list_new();
	ecore_list_append(em->projects, proj);
	
	/* Create some sane defaults */
	proj->burn_mode = BURN_MODE1;
	proj->fifo_chunksize = 2048;
	proj->fifo_chunks = 2048;
	proj->underrun_proof = TRUE;
	proj->opc = TRUE;
	proj->multi = TRUE;
	
	return proj;
}

int
ecdb_shutdown(void *data, int type, void *event)
{
	if (em->projects)
		ecore_list_destroy(em->projects);
	if (em->drives)
		ecore_list_destroy(em->drives);
	free(em);
	ecore_main_loop_quit();
	return 0;
}

void
ecdb_burn_init(void)
{
	burn_initialize();
	burn_msgs_set_severities("NEVER", "SORRY", "ecdb: ");
	burn_set_signal_handling("ecdb: ", NULL, 0);
}

void
ecdb_image_init(void)
{
	iso_init();
	iso_set_msgs_severities("NEVER", "SORRY", "ecdb: ");
}

